Bug 98269 - Call trace referencing i915 / Xorg tainted
Summary: Call trace referencing i915 / Xorg tainted
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Joonas Lahtinen
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-15 05:43 UTC by raoul
Modified: 2019-07-19 11:48 UTC (History)
1 user (show)

See Also:
i915 platform: HSW
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raoul 2016-10-15 05:43:02 UTC
Hello,

a few days ago I've got a series of Call Traces while using Firefox. My specs:

Desktop: Gnome Shell 3.20.4
Hardware: Toshiba Portege Z30-A
Graphics: 00:02.0 VGA compatible controller [0300]: Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a16] (rev 0b)

Call traces below.

[ 3104.470357] ------------[ cut here ]------------
[ 3104.470369] WARNING: CPU: 0 PID: 605 at mm/vmalloc.c:136 vmap_page_range_noflush+0x2c1/0x340
[ 3104.470371] Modules linked in: xt_hl nf_log_ipv6 nf_log_ipv4 nf_log_common ip6t_rt xt_tcpudp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat xt_TCPMSS xt_LOG ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 ip6table_mangle iptable_mangle xt_multiport xt_state xt_limit xt_conntrack nf_conntrack_ftp nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack ip6table_filter ip6_tables iptable_filter ecryptfs cbc sha256_ssse3 sha256_generic encrypted_keys sha1_mb mcryptd sha1_ssse3 sha1_generic hmac trusted snd_hda_codec_hdmi joydev cdc_mbim cdc_wdm cdc_ncm usbnet mii uvcvideo videobuf2_vmalloc videobuf2_memops mousedev videobuf2_v4l2 videobuf2_core hid_generic videodev usbhid hid media snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp
[ 3104.470435]  coretemp kvm_intel pn544_mei mei_phy pn544 hci nfc kvm irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd intel_cstate intel_rapl_perf tpm_infineon psmouse evdev input_leds mac_hid arc4 fuse iwlmvm mac80211 lpc_ich i915 iwlwifi cfg80211 snd_hda_intel e1000e rtsx_pci_ms memstick snd_hda_codec drm_kms_helper ptp pps_core shpchp snd_hda_core drm snd_hwdep snd_pcm intel_gtt mei_me snd_timer syscopyarea sysfillrect mei snd sysimgblt fb_sys_fops soundcore i2c_algo_bit toshiba_acpi sparse_keymap led_class toshiba_bluetooth thermal rfkill toshiba_haps wmi video fjes intel_smartconnect ac battery tpm_tis button tpm sch_fq_codel ip_tables x_tables ext4 crc16 jbd2 mbcache sd_mod rtsx_pci_sdmmc mmc_core serio_raw
[ 3104.470497]  atkbd libps2 ahci libahci libata scsi_mod ehci_pci ehci_hcd rtsx_pci xhci_pci xhci_hcd usbcore usb_common i8042 serio
[ 3104.470511] CPU: 0 PID: 605 Comm: Xorg Tainted: G     U  W       4.7.6-1-ARCH #1
[ 3104.470514] Hardware name: TOSHIBA PORTEGE Z30-A/PORTEGE Z30-A, BIOS Version 4.20   09/02/2015
[ 3104.470516]  0000000000000286 00000000d555b00b ffff8800d241f988 ffffffff812ecc92
[ 3104.470520]  0000000000000000 0000000000000000 ffff8800d241f9c8 ffffffff8107a44b
[ 3104.470524]  0000008800000060 ffff8800d0040000 8000000000000163 ffffc90005001000
[ 3104.470528] Call Trace:
[ 3104.470534]  [<ffffffff812ecc92>] dump_stack+0x63/0x81
[ 3104.470538]  [<ffffffff8107a44b>] __warn+0xcb/0xf0
[ 3104.470541]  [<ffffffff8107a57d>] warn_slowpath_null+0x1d/0x20
[ 3104.470545]  [<ffffffff811b8161>] vmap_page_range_noflush+0x2c1/0x340
[ 3104.470549]  [<ffffffff811b8212>] map_vm_area+0x32/0x40
[ 3104.470552]  [<ffffffff811b8e48>] vmap+0x78/0xb0
[ 3104.470575]  [<ffffffffa05cc408>] ? vmap_batch.isra.4+0x118/0x190 [i915]
[ 3104.470593]  [<ffffffffa05cc408>] vmap_batch.isra.4+0x118/0x190 [i915]
[ 3104.470610]  [<ffffffffa05cce9b>] i915_parse_cmds+0x5db/0x890 [i915]
[ 3104.470627]  [<ffffffffa05d1c6b>] i915_gem_do_execbuffer.isra.14+0x106b/0x1290 [i915]
[ 3104.470631]  [<ffffffff81572b41>] ? unix_stream_read_generic+0x281/0x8a0
[ 3104.470647]  [<ffffffffa05d2ba8>] i915_gem_execbuffer2+0xe8/0x250 [i915]
[ 3104.470664]  [<ffffffffa05dfbc4>] ? i915_gem_sw_finish_ioctl+0x64/0xa0 [i915]
[ 3104.470673]  [<ffffffffa03a59a2>] drm_ioctl+0x152/0x540 [drm]
[ 3104.470688]  [<ffffffffa05d2ac0>] ? i915_gem_execbuffer+0x330/0x330 [i915]
[ 3104.470693]  [<ffffffff812f5054>] ? timerqueue_del+0x24/0x70
[ 3104.470697]  [<ffffffff810e8d2c>] ? __remove_hrtimer+0x3c/0x90
[ 3104.470702]  [<ffffffff8120cee2>] do_vfs_ioctl+0xa2/0x5d0
[ 3104.470704]  [<ffffffff810ea513>] ? do_setitimer+0x133/0x240
[ 3104.470708]  [<ffffffff8120d489>] SyS_ioctl+0x79/0x90
[ 3104.470712]  [<ffffffff815d74b2>] entry_SYSCALL_64_fastpath+0x1a/0xa4
[ 3104.470715] ---[ end trace d55e7a3822513f4e ]---

[ 3104.470718] ------------[ cut here ]------------
[ 3104.470722] WARNING: CPU: 0 PID: 605 at mm/vmalloc.c:69 vunmap_page_range+0x2e2/0x370
[ 3104.470724] Modules linked in: xt_hl nf_log_ipv6 nf_log_ipv4 nf_log_common ip6t_rt xt_tcpudp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat xt_TCPMSS xt_LOG ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 ip6table_mangle iptable_mangle xt_multiport xt_state xt_limit xt_conntrack nf_conntrack_ftp nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack ip6table_filter ip6_tables iptable_filter ecryptfs cbc sha256_ssse3 sha256_generic encrypted_keys sha1_mb mcryptd sha1_ssse3 sha1_generic hmac trusted snd_hda_codec_hdmi joydev cdc_mbim cdc_wdm cdc_ncm usbnet mii uvcvideo videobuf2_vmalloc videobuf2_memops mousedev videobuf2_v4l2 videobuf2_core hid_generic videodev usbhid hid media snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp
[ 3104.470768]  coretemp kvm_intel pn544_mei mei_phy pn544 hci nfc kvm irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd intel_cstate intel_rapl_perf tpm_infineon psmouse evdev input_leds mac_hid arc4 fuse iwlmvm mac80211 lpc_ich i915 iwlwifi cfg80211 snd_hda_intel e1000e rtsx_pci_ms memstick snd_hda_codec drm_kms_helper ptp pps_core shpchp snd_hda_core drm snd_hwdep snd_pcm intel_gtt mei_me snd_timer syscopyarea sysfillrect mei snd sysimgblt fb_sys_fops soundcore i2c_algo_bit toshiba_acpi sparse_keymap led_class toshiba_bluetooth thermal rfkill toshiba_haps wmi video fjes intel_smartconnect ac battery tpm_tis button tpm sch_fq_codel ip_tables x_tables ext4 crc16 jbd2 mbcache sd_mod rtsx_pci_sdmmc mmc_core serio_raw
[ 3104.470823]  atkbd libps2 ahci libahci libata scsi_mod ehci_pci ehci_hcd rtsx_pci xhci_pci xhci_hcd usbcore usb_common i8042 serio
[ 3104.470853] CPU: 0 PID: 605 Comm: Xorg Tainted: G     U  W       4.7.6-1-ARCH #1
[ 3104.470855] Hardware name: TOSHIBA PORTEGE Z30-A/PORTEGE Z30-A, BIOS Version 4.20   09/02/2015
[ 3104.470857]  0000000000000286 00000000d555b00b ffff8800d241f958 ffffffff812ecc92
[ 3104.470861]  0000000000000000 0000000000000000 ffff8800d241f998 ffffffff8107a44b
[ 3104.470864]  0000004500000005 ffff8800d0040000 0000e00800000000 ffffc90005002000
[ 3104.470868] Call Trace:
[ 3104.470872]  [<ffffffff812ecc92>] dump_stack+0x63/0x81
[ 3104.470886]  [<ffffffff8107a44b>] __warn+0xcb/0xf0
[ 3104.470889]  [<ffffffff8107a57d>] warn_slowpath_null+0x1d/0x20
[ 3104.470892]  [<ffffffff811b7c52>] vunmap_page_range+0x2e2/0x370
[ 3104.470904]  [<ffffffff811b8c07>] remove_vm_area+0x57/0x70
[ 3104.470907]  [<ffffffff811b8c46>] __vunmap+0x26/0xd0
[ 3104.470910]  [<ffffffff811b8dc3>] vunmap+0x23/0x30
[ 3104.470912]  [<ffffffff811b8e64>] vmap+0x94/0xb0
[ 3104.470928]  [<ffffffffa05cc408>] ? vmap_batch.isra.4+0x118/0x190 [i915]
[ 3104.470942]  [<ffffffffa05cc408>] vmap_batch.isra.4+0x118/0x190 [i915]
[ 3104.470957]  [<ffffffffa05cce9b>] i915_parse_cmds+0x5db/0x890 [i915]
[ 3104.470972]  [<ffffffffa05d1c6b>] i915_gem_do_execbuffer.isra.14+0x106b/0x1290 [i915]
[ 3104.470975]  [<ffffffff81572b41>] ? unix_stream_read_generic+0x281/0x8a0
[ 3104.470991]  [<ffffffffa05d2ba8>] i915_gem_execbuffer2+0xe8/0x250 [i915]
[ 3104.471006]  [<ffffffffa05dfbc4>] ? i915_gem_sw_finish_ioctl+0x64/0xa0 [i915]
[ 3104.471014]  [<ffffffffa03a59a2>] drm_ioctl+0x152/0x540 [drm]
[ 3104.471029]  [<ffffffffa05d2ac0>] ? i915_gem_execbuffer+0x330/0x330 [i915]
[ 3104.471033]  [<ffffffff812f5054>] ? timerqueue_del+0x24/0x70
[ 3104.471037]  [<ffffffff810e8d2c>] ? __remove_hrtimer+0x3c/0x90
[ 3104.471040]  [<ffffffff8120cee2>] do_vfs_ioctl+0xa2/0x5d0
[ 3104.471043]  [<ffffffff810ea513>] ? do_setitimer+0x133/0x240
[ 3104.471046]  [<ffffffff8120d489>] SyS_ioctl+0x79/0x90
[ 3104.471050]  [<ffffffff815d74b2>] entry_SYSCALL_64_fastpath+0x1a/0xa4
[ 3104.471083] ---[ end trace d55e7a3822513f4f ]---

[ 3156.472856] ------------[ cut here ]------------
[ 3156.472866] WARNING: CPU: 0 PID: 3947 at mm/vmalloc.c:69 vunmap_page_range+0x2e2/0x370
[ 3156.472868] Modules linked in: xt_hl nf_log_ipv6 nf_log_ipv4 nf_log_common ip6t_rt xt_tcpudp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat xt_TCPMSS xt_LOG ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 ip6table_mangle iptable_mangle xt_multiport xt_state xt_limit xt_conntrack nf_conntrack_ftp nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack ip6table_filter ip6_tables iptable_filter ecryptfs cbc sha256_ssse3 sha256_generic encrypted_keys sha1_mb mcryptd sha1_ssse3 sha1_generic hmac trusted snd_hda_codec_hdmi joydev cdc_mbim cdc_wdm cdc_ncm usbnet mii uvcvideo videobuf2_vmalloc videobuf2_memops mousedev videobuf2_v4l2 videobuf2_core hid_generic videodev usbhid hid media snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp
[ 3156.472914]  coretemp kvm_intel pn544_mei mei_phy pn544 hci nfc kvm irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd intel_cstate intel_rapl_perf tpm_infineon psmouse evdev input_leds mac_hid arc4 fuse iwlmvm mac80211 lpc_ich i915 iwlwifi cfg80211 snd_hda_intel e1000e rtsx_pci_ms memstick snd_hda_codec drm_kms_helper ptp pps_core shpchp snd_hda_core drm snd_hwdep snd_pcm intel_gtt mei_me snd_timer syscopyarea sysfillrect mei snd sysimgblt fb_sys_fops soundcore i2c_algo_bit toshiba_acpi sparse_keymap led_class toshiba_bluetooth thermal rfkill toshiba_haps wmi video fjes intel_smartconnect ac battery tpm_tis button tpm sch_fq_codel ip_tables x_tables ext4 crc16 jbd2 mbcache sd_mod rtsx_pci_sdmmc mmc_core serio_raw
[ 3156.472969]  atkbd libps2 ahci libahci libata scsi_mod ehci_pci ehci_hcd rtsx_pci xhci_pci xhci_hcd usbcore usb_common i8042 serio
[ 3156.472981] CPU: 0 PID: 3947 Comm: Xorg Tainted: G     U  W       4.7.6-1-ARCH #1
[ 3156.472983] Hardware name: TOSHIBA PORTEGE Z30-A/PORTEGE Z30-A, BIOS Version 4.20   09/02/2015
[ 3156.472985]  0000000000000286 00000000399d5385 ffff8800d244f9e0 ffffffff812ecc92
[ 3156.472989]  0000000000000000 0000000000000000 ffff8800d244fa20 ffffffff8107a44b
[ 3156.472992]  0000004505012000 ffff8800d0040090 7f48060600000000 ffffc90005013000
[ 3156.472995] Call Trace:
[ 3156.473001]  [<ffffffff812ecc92>] dump_stack+0x63/0x81
[ 3156.473004]  [<ffffffff8107a44b>] __warn+0xcb/0xf0
[ 3156.473006]  [<ffffffff8107a57d>] warn_slowpath_null+0x1d/0x20
[ 3156.473009]  [<ffffffff811b7c52>] vunmap_page_range+0x2e2/0x370
[ 3156.473012]  [<ffffffff811b8c07>] remove_vm_area+0x57/0x70
[ 3156.473014]  [<ffffffff811b8c46>] __vunmap+0x26/0xd0
[ 3156.473017]  [<ffffffff811b8dc3>] vunmap+0x23/0x30
[ 3156.473039]  [<ffffffffa05ccb0a>] i915_parse_cmds+0x24a/0x890 [i915]
[ 3156.473055]  [<ffffffffa05d1c6b>] i915_gem_do_execbuffer.isra.14+0x106b/0x1290 [i915]
[ 3156.473058]  [<ffffffff810bcc30>] ? __wake_up_sync_key+0x50/0x60
[ 3156.473073]  [<ffffffffa05d2ba8>] i915_gem_execbuffer2+0xe8/0x250 [i915]
[ 3156.473088]  [<ffffffffa05dfbc4>] ? i915_gem_sw_finish_ioctl+0x64/0xa0 [i915]
[ 3156.473096]  [<ffffffffa03a59a2>] drm_ioctl+0x152/0x540 [drm]
[ 3156.473110]  [<ffffffffa05d2ac0>] ? i915_gem_execbuffer+0x330/0x330 [i915]
[ 3156.473114]  [<ffffffff8120cee2>] do_vfs_ioctl+0xa2/0x5d0
[ 3156.473118]  [<ffffffff8120d489>] SyS_ioctl+0x79/0x90
[ 3156.473122]  [<ffffffff815d74b2>] entry_SYSCALL_64_fastpath+0x1a/0xa4
[ 3156.473124] ---[ end trace d55e7a3822513f50 ]---

[ 3156.473304] ------------[ cut here ]------------
[ 3156.473309] WARNING: CPU: 0 PID: 3947 at mm/vmalloc.c:136 vmap_page_range_noflush+0x2c1/0x340
[ 3156.473310] Modules linked in: xt_hl nf_log_ipv6 nf_log_ipv4 nf_log_common ip6t_rt xt_tcpudp iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat xt_TCPMSS xt_LOG ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 ip6table_mangle iptable_mangle xt_multiport xt_state xt_limit xt_conntrack nf_conntrack_ftp nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack ip6table_filter ip6_tables iptable_filter ecryptfs cbc sha256_ssse3 sha256_generic encrypted_keys sha1_mb mcryptd sha1_ssse3 sha1_generic hmac trusted snd_hda_codec_hdmi joydev cdc_mbim cdc_wdm cdc_ncm usbnet mii uvcvideo videobuf2_vmalloc videobuf2_memops mousedev videobuf2_v4l2 videobuf2_core hid_generic videodev usbhid hid media snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp
[ 3156.473345]  coretemp kvm_intel pn544_mei mei_phy pn544 hci nfc kvm irqbypass crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd intel_cstate intel_rapl_perf tpm_infineon psmouse evdev input_leds mac_hid arc4 fuse iwlmvm mac80211 lpc_ich i915 iwlwifi cfg80211 snd_hda_intel e1000e rtsx_pci_ms memstick snd_hda_codec drm_kms_helper ptp pps_core shpchp snd_hda_core drm snd_hwdep snd_pcm intel_gtt mei_me snd_timer syscopyarea sysfillrect mei snd sysimgblt fb_sys_fops soundcore i2c_algo_bit toshiba_acpi sparse_keymap led_class toshiba_bluetooth thermal rfkill toshiba_haps wmi video fjes intel_smartconnect ac battery tpm_tis button tpm sch_fq_codel ip_tables x_tables ext4 crc16 jbd2 mbcache sd_mod rtsx_pci_sdmmc mmc_core serio_raw
[ 3156.473386]  atkbd libps2 ahci libahci libata scsi_mod ehci_pci ehci_hcd rtsx_pci xhci_pci xhci_hcd usbcore usb_common i8042 serio
[ 3156.473396] CPU: 0 PID: 3947 Comm: Xorg Tainted: G     U  W       4.7.6-1-ARCH #1
[ 3156.473397] Hardware name: TOSHIBA PORTEGE Z30-A/PORTEGE Z30-A, BIOS Version 4.20   09/02/2015
[ 3156.473399]  0000000000000286 00000000399d5385 ffff8800d244f988 ffffffff812ecc92
[ 3156.473402]  0000000000000000 0000000000000000 ffff8800d244f9c8 ffffffff8107a44b
[ 3156.473405]  0000008800000060 ffff8800d0040098 8000000000000163 ffffc90005014000
[ 3156.473407] Call Trace:
[ 3156.473411]  [<ffffffff812ecc92>] dump_stack+0x63/0x81
[ 3156.473413]  [<ffffffff8107a44b>] __warn+0xcb/0xf0
[ 3156.473415]  [<ffffffff8107a57d>] warn_slowpath_null+0x1d/0x20
[ 3156.473418]  [<ffffffff811b8161>] vmap_page_range_noflush+0x2c1/0x340
[ 3156.473421]  [<ffffffff811b8212>] map_vm_area+0x32/0x40
[ 3156.473423]  [<ffffffff811b8e48>] vmap+0x78/0xb0
[ 3156.473438]  [<ffffffffa05cc408>] ? vmap_batch.isra.4+0x118/0x190 [i915]
[ 3156.473451]  [<ffffffffa05cc408>] vmap_batch.isra.4+0x118/0x190 [i915]
[ 3156.473464]  [<ffffffffa05cce9b>] i915_parse_cmds+0x5db/0x890 [i915]
[ 3156.473478]  [<ffffffffa05d1c6b>] i915_gem_do_execbuffer.isra.14+0x106b/0x1290 [i915]
[ 3156.473493]  [<ffffffffa05ddedc>] ? i915_gem_object_retire_request+0x6c/0x90 [i915]
[ 3156.473507]  [<ffffffffa05de70b>] ? i915_gem_object_wait_rendering__nonblocking+0x13b/0x290 [i915]
[ 3156.473520]  [<ffffffffa05d2ba8>] i915_gem_execbuffer2+0xe8/0x250 [i915]
[ 3156.473534]  [<ffffffffa05dfbc4>] ? i915_gem_sw_finish_ioctl+0x64/0xa0 [i915]
[ 3156.473541]  [<ffffffffa03a59a2>] drm_ioctl+0x152/0x540 [drm]
[ 3156.473554]  [<ffffffffa05d2ac0>] ? i915_gem_execbuffer+0x330/0x330 [i915]
[ 3156.473558]  [<ffffffff8120cee2>] do_vfs_ioctl+0xa2/0x5d0
[ 3156.473561]  [<ffffffff8120d489>] SyS_ioctl+0x79/0x90
[ 3156.473564]  [<ffffffff815d74b2>] entry_SYSCALL_64_fastpath+0x1a/0xa4
[ 3156.473566] ---[ end trace d55e7a3822513f51 ]---
Comment 1 Chris Wilson 2016-10-15 09:09:26 UTC
Looks like the kernel mishandled a memory allocation failure here. https://patchwork.freedesktop.org/patch/115855/

If you were using -intel, you would not have had this issue (at least from Xorg). :|
Comment 2 raoul 2016-10-15 12:21:53 UTC
Thanks for your reply.

> If you were using -intel, you would not have had this issue (at least
> from Xorg). :|

I don't have xf86-video-intel installed. If I understand correctly, installing it would solve this issue?
Comment 3 Chris Wilson 2016-10-15 16:45:02 UTC
(In reply to raoul from comment #2)
> Thanks for your reply.
> 
> > If you were using -intel, you would not have had this issue (at least
> > from Xorg). :|
> 
> I don't have xf86-video-intel installed. If I understand correctly,
> installing it would solve this issue?

If I understand correctly, the root cause would be memory exhaustion, and this WARN is more or less a victim. -intel simply wouldn't trip over this WARN, but it is not clear why we are out of memory in the first place. (That is assuming that the WARN is indeed self-inflicted, it could be something else leaving stale PTE around and not the broken error handling.)
Comment 4 raoul 2016-10-15 17:21:51 UTC
I can only add that it happened while using Firefox with lots of tabs open (my laptop has 16 GB of RAM). I also seem to recall Gnome Shell automatically restarted. It never happened again.
Comment 5 yann 2016-10-18 16:31:09 UTC
You may apply Chris' patch https://patchwork.freedesktop.org/series/13822/
Comment 6 raoul 2016-10-19 05:54:51 UTC
Yes, thanks. I have only seen that error once (before the patch) until now... hopefully the patch is working.
Comment 7 Chris Wilson 2016-10-19 07:37:24 UTC
Been applied upstream to the mm tree, should hit 4.10. (Hopefully with a stable tag.)
Comment 8 Jani Nikula 2017-01-09 10:12:40 UTC
Dropped from -mm, reopening.

http://www.spinics.net/lists/sparclinux/msg16581.html

We still have the commit in topic/core-for-CI (i.e. also in drm-tip).
Comment 9 Jari Tahvanainen 2017-03-20 12:14:31 UTC
Folks, commit referencing to this has landed. Resolved?
commit e1678f8b376e945eac64015d0b716b41d4b46f37
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Sat Oct 15 09:54:01 2016 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Mar 14 14:04:03 2017 +0000
Comment 10 Ricardo 2017-07-20 21:25:39 UTC
looks like this issue has been solved, waited for feedback from submitter but no respond. I will close this as fixed, however if the problem appears please open a new bug including logs
Comment 11 Daniel Vetter 2017-12-19 10:52:34 UTC
Please don't close this, we only have a local fixup in topic/core-for-CI.

Jari/Ricardo, this means you not tuoching this bug until it's confirmed to be actually fixed in upstream, not just in drm-tip.
Comment 12 Jani Saarinen 2018-03-29 07:10:04 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 13 Jani Saarinen 2018-04-23 06:38:39 UTC
Daniel, Chris, is this fixed in upstream now?
Comment 14 Daniel Vetter 2018-09-10 07:25:25 UTC
Yes the patch is still not upstreamed:

commit 5499a6a112e48ed4041e97bd5919c92b4700587f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 15 09:54:01 2016 +0100

    mm/vmalloc: Replace opencoded 4-level page walkers
    
Pasting it here so next time around everyone can check themselves.
Comment 15 Daniel Vetter 2019-05-03 12:49:53 UTC
Note that the blocker was that sparc64 blew up:

https://marc.info/?l=linux-kernel&m=147767512629968&w=2
Comment 16 Lakshmi 2019-07-19 11:48:52 UTC
THe p(In reply to Daniel Vetter from comment #14)
> Yes the patch is still not upstreamed:
> 
> commit 5499a6a112e48ed4041e97bd5919c92b4700587f
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Sat Oct 15 09:54:01 2016 +0100
> 
>     mm/vmalloc: Replace opencoded 4-level page walkers
>     
> Pasting it here so next time around everyone can check themselves.

This patch series is still under review, asked in irc to take this review forward.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.